Eclipse Draw2d 3.3

## org.eclipse.draw2d.graph
Class Rank

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.eclipse.draw2d.graph.NodeList
                      org.eclipse.draw2d.graph.Rank

All Implemented Interfaces:
  Cloneable, Collection, List, RandomAccess, Serializable

public class Rank
extends NodeList

For Internal Use only.

Since:
  2.1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Rank()`

Method Summary
`int` `count()` Returns the number of nodes in this rank.
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `sort()` Deprecated. Do not call

Methods inherited from class org.eclipse.draw2d.graph.NodeList
`getNode`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### Rank

    public Rank()

Method Detail

### count

    public int count()

  Returns the number of nodes in this rank.

  Returns:
    the number of nodes

### equals

    public boolean equals(Object o)

  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  See Also:
    `Overridden for speed based on equality.`

### sort

    public void sort()

  Deprecated. Do not call

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.